summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2020-06-20 21:43:05 -0400
committerMichael Orlitzky <mjo@gentoo.org>2020-06-21 08:17:03 -0400
commitca7819ae8a75cab9e401e3106415a6528cdd1f52 (patch)
tree554500aa10affff00fd92eecbdaa3cc073b302b1
parentsys-devel/gcc-config: bump up to 2.3.1 (diff)
downloadgentoo-ca7819ae8a75cab9e401e3106415a6528cdd1f52.tar.gz
gentoo-ca7819ae8a75cab9e401e3106415a6528cdd1f52.tar.bz2
gentoo-ca7819ae8a75cab9e401e3106415a6528cdd1f52.zip
www-client/netsurf: new version 3.10.
This new version (bug 727882) combined with the removal of the old versions fixes some outstanding issues: * Fixes the mixup between ED/D (and EROOT, variously) throughout the build system (bug 489542). * Adds a dependency on dev-lang/duktape, but as a result, has to drop keywords for arm, ppc, and ppc64 (bugs 698650, 728592). * Adds a patch to fix the location of utf8proc.h (bug 721318) * Adds a patch to disable failing tests (bug 687378). * Drops the broken USE=pdf-writer flag (bug 625770). * Apparently fixes the test failure with USE="-gtk2", since the test suite now passes (bug 672812). * Eliminates another test failure in v3.8 (bug 701322). Bug: https://bugs.gentoo.org/489542 Closes: https://bugs.gentoo.org/625770 Closes: https://bugs.gentoo.org/672812 Closes: https://bugs.gentoo.org/687378 Closes: https://bugs.gentoo.org/698650 Closes: https://bugs.gentoo.org/701322 Closes: https://bugs.gentoo.org/721318 Closes: https://bugs.gentoo.org/727882 Bug: https://bugs.gentoo.org/728592 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
-rw-r--r--www-client/netsurf/Manifest1
-rw-r--r--www-client/netsurf/files/netsurf-3.10-disable-failing-tests.patch42
-rw-r--r--www-client/netsurf/files/netsurf-3.10-julia-libutf8proc-header-location.patch34
-rw-r--r--www-client/netsurf/netsurf-3.10.ebuild131
4 files changed, 208 insertions, 0 deletions
diff --git a/www-client/netsurf/Manifest b/www-client/netsurf/Manifest
index 3f36b3d0c86..5581ea1266d 100644
--- a/www-client/netsurf/Manifest
+++ b/www-client/netsurf/Manifest
@@ -1,2 +1,3 @@
+DIST netsurf-3.10-src.tar.gz 4084480 BLAKE2B 267ce1811cbf11d053f721e22b8a6d484e796102a4c9baaa10580d92cc1eecfe3f126fb97456262675c962ec88a5235e48dc85f2a5168631f6c9dd5b5082b43b SHA512 1b1153916438e08146271dc04200aefbdba3b2c4ca9432a43abfc3811b5418df7ed21bbd91767f12d04331a236227379d2c412fcf13f25349685a549723bf13d
DIST netsurf-3.8-src.tar.gz 3945752 BLAKE2B 0f4592e53e95cfedb3c34a16ce9df9baeeaed93afb3bac3d68dab1e3d80e67c0498111c123285f6e828d063574e0e5f0cc3aa337ffab066f2283d06d248a308a SHA512 6f4dfdc546cce3b85d32da0dd816adc9a39410ed42bc28f263f4a1db64b35a889a1784a4116715190e756988dd263976933cfac75c9dcd81af01954487ddcaf6
DIST netsurf-3.9-src.tar.gz 3989742 BLAKE2B a147a99bea00163147cb39b16ff8b7b874c58d386e60eb8aa568b3ce30e4957708c9720a5291a2aa37bc6d8d4bd0eaf4e2dc1a2bc2fff396cb4d972dd887e024 SHA512 061a1c6379b48582d842ed1ca6cea59b87cd84cd13769bdc32b623a56cebc69e94af9d65f4abd959608c98da9d0006f7842f875017569e6a3f7b77cbb928f24a
diff --git a/www-client/netsurf/files/netsurf-3.10-disable-failing-tests.patch b/www-client/netsurf/files/netsurf-3.10-disable-failing-tests.patch
new file mode 100644
index 00000000000..6ffcec002e0
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.10-disable-failing-tests.patch
@@ -0,0 +1,42 @@
+From 4c3d6b10802b6747ba36b6e7c988f6b584352358 Mon Sep 17 00:00:00 2001
+From: Michael Orlitzky <michael@orlitzky.com>
+Date: Wed, 17 Jun 2020 17:42:34 -0400
+Subject: [PATCH 1/1] test: disable failing tests.
+
+Just cut them right out of the Makefile if they ain't gonna work.
+
+Bug: https://bugs.gentoo.org/687378
+Upstream-bug: https://bugs.netsurf-browser.org/mantis/view.php?id=2779
+---
+ test/Makefile | 8 --------
+ 1 file changed, 8 deletions(-)
+
+diff --git a/test/Makefile b/test/Makefile
+index 82ffee6..952d238 100644
+--- a/test/Makefile
++++ b/test/Makefile
+@@ -5,8 +5,6 @@ TESTS := \
+ nsurl \
+ urldbtest \
+ nsoption \
+- bloom \
+- hashtable \
+ hashmap \
+ urlescape \
+ utils \
+@@ -47,12 +45,6 @@ messages_SRCS := utils/messages.c utils/hashtable.c test/log.c test/messages.c
+ # nsoption test sources
+ nsoption_SRCS := utils/nsoption.c test/log.c test/nsoption.c
+
+-# Bloom filter test sources
+-bloom_SRCS := utils/bloom.c test/bloom.c
+-
+-# hash table test sources
+-hashtable_SRCS := utils/hashtable.c test/log.c test/hashtable.c
+-
+ # hashmap test sources
+ hashmap_SRCS := $(NSURL_SOURCES) utils/hashmap.c utils/corestrings.c test/log.c test/hashmap.c
+ hashmap_LD := -lmalloc_fig
+--
+2.26.2
+
diff --git a/www-client/netsurf/files/netsurf-3.10-julia-libutf8proc-header-location.patch b/www-client/netsurf/files/netsurf-3.10-julia-libutf8proc-header-location.patch
new file mode 100644
index 00000000000..3a6ccc2466f
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.10-julia-libutf8proc-header-location.patch
@@ -0,0 +1,34 @@
+From d585a1573819306bb3660db3f13a85b2fd254c63 Mon Sep 17 00:00:00 2001
+From: Michael Orlitzky <michael@orlitzky.com>
+Date: Wed, 17 Jun 2020 17:23:10 -0400
+Subject: [PATCH 1/1] utils/idna.c: adjust utf8proc.h header location.
+
+There are two upstreams for libutf8proc, and they each put utf8proc.h
+in a different location -- ostensibly as a performance art piece
+intended to remind the programmer that we as human beings are all
+slowly dying, and that our limited time here on earth should not be
+wasted. This commit switches the header location from the netsurf-
+upstream one that used to work, to the julia-upstream location that
+works now (that the Gentoo package follows the julia upstream).
+
+Bug: https://bugs.gentoo.org/721318
+---
+ utils/idna.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/utils/idna.c b/utils/idna.c
+index 628ef1f..f6e498a 100644
+--- a/utils/idna.c
++++ b/utils/idna.c
+@@ -167,7 +167,7 @@ idna__ace_to_ucs4(const char *ace_label,
+
+ #ifdef WITH_UTF8PROC
+
+-#include <libutf8proc/utf8proc.h>
++#include <utf8proc.h>
+
+ int32_t idna_contexto[] = {
+ /* CONTEXTO codepoints which have a rule defined */
+--
+2.26.2
+
diff --git a/www-client/netsurf/netsurf-3.10.ebuild b/www-client/netsurf/netsurf-3.10.ebuild
new file mode 100644
index 00000000000..ee8c48f41a8
--- /dev/null
+++ b/www-client/netsurf/netsurf-3.10.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs desktop
+
+DESCRIPTION="a free, open source web browser"
+HOMEPAGE="http://www.netsurf-browser.org/"
+SRC_URI="http://download.netsurf-browser.org/netsurf/releases/source/${P}-src.tar.gz"
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+bmp +duktape fbcon truetype +gif gtk gtk2 +javascript +jpeg +mng
+ +png +psl +rosprite +svg +svgtiny +webp"
+
+REQUIRED_USE="|| ( fbcon gtk gtk2 )
+ duktape? ( javascript )"
+
+RDEPEND="
+ >=dev-libs/libcss-0.9
+ >=net-libs/libdom-0.3
+ >=net-libs/libhubbub-0.3
+ >=dev-libs/libnsutils-0.0.5
+ >=dev-libs/libutf8proc-2.2
+ dev-libs/libxml2:2
+ net-misc/curl
+ bmp? ( >=media-libs/libnsbmp-0.1 )
+ fbcon? ( >=dev-libs/libnsfb-0.2
+ truetype? ( media-fonts/dejavu
+ >=media-libs/freetype-2.5.0.1 )
+ )
+ gif? ( >=media-libs/libnsgif-0.1 )
+ gtk? ( dev-libs/glib:2
+ x11-libs/gtk+:3 )
+ gtk2? ( dev-libs/glib:2
+ x11-libs/gtk+:2 )
+ javascript? (
+ >=dev-libs/nsgenbind-0.7
+ duktape? ( dev-lang/duktape )
+ !duktape? ( dev-lang/spidermonkey:0= )
+ )
+ jpeg? ( >=virtual/jpeg-0-r2:0 )
+ mng? ( >=media-libs/libmng-1.0.10-r2 )
+ png? ( >=media-libs/libpng-1.2.51:0 )
+ psl? ( media-libs/libnspsl )
+ rosprite? ( >=media-libs/librosprite-0.1.2-r1 )
+ svg? ( svgtiny? ( >=media-libs/libsvgtiny-0.1.3-r1 )
+ !svgtiny? ( gnome-base/librsvg:2 ) )
+ webp? ( >=media-libs/libwebp-0.3.0 )"
+BDEPEND="
+ duktape? ( app-editors/vim-core )
+ dev-libs/check
+ dev-perl/HTML-Parser
+ >=dev-util/netsurf-buildsystem-1.7-r1"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.9-conditionally-include-image-headers.patch"
+ "${FILESDIR}/${PN}-3.10-julia-libutf8proc-header-location.patch"
+ "${FILESDIR}/${PN}-3.10-disable-failing-tests.patch"
+)
+
+DOCS=( README docs/using-framebuffer.md
+ docs/ideas/{cache,css-engine,render-library}.txt )
+
+src_prepare() {
+ default
+ rm -r frontends/{amiga,atari,beos,monkey,riscos,windows} || die
+}
+
+_emake() {
+ source /usr/share/netsurf-buildsystem/gentoo-helpers.sh
+ netsurf_define_makeconf
+ local netsurf_makeconf=(
+ "${NETSURF_MAKECONF[@]}"
+ COMPONENT_TYPE=binary
+ NETSURF_USE_BMP=$(usex bmp YES NO)
+ NETSURF_USE_GIF=$(usex gif YES NO)
+ NETSURF_USE_JPEG=$(usex jpeg YES NO)
+ NETSURF_USE_PNG=$(usex png YES NO)
+ NETSURF_USE_NSPSL=$(usex psl YES NO)
+ NETSURF_USE_MNG=$(usex mng YES NO)
+ NETSURF_USE_WEBP=$(usex webp YES NO)
+ NETSURF_USE_MOZJS=$(usex javascript $(usex duktape NO YES) NO)
+ NETSURF_USE_JS=NO
+ NETSURF_USE_DUKTAPE=$(usex javascript $(usex duktape YES NO) NO)
+ NETSURF_USE_NSSVG=$(usex svg $(usex svgtiny YES NO) NO)
+ NETSURF_USE_RSVG=$(usex svg $(usex svgtiny NO YES) NO)
+ NETSURF_USE_ROSPRITE=$(usex rosprite YES NO)
+ PKG_CONFIG=$(tc-getPKG_CONFIG)
+ NETSURF_FB_FONTLIB=$(usex truetype freetype internal)
+ NETSURF_FB_FONTPATH="${EPREFIX}/usr/share/fonts/dejavu"
+ NETSURF_USE_VIDEO=NO
+ )
+ emake "${netsurf_makeconf[@]}" $@
+}
+
+src_compile() {
+ use fbcon && _emake TARGET=framebuffer
+ use gtk2 && _emake TARGET=gtk
+ use gtk && _emake TARGET=gtk3
+}
+
+src_test() {
+ _emake test
+}
+
+src_install() {
+ sed -e '1iexit;' \
+ -i "${WORKDIR}"/*/utils/git-testament.pl || die
+
+ if use fbcon ; then
+ _emake TARGET=framebuffer DESTDIR="${D}" install
+ elog "framebuffer binary has been installed as netsurf-fb"
+ make_desktop_entry "${EPREFIX}"/usr/bin/netsurf-fb NetSurf-framebuffer netsurf "Network;WebBrowser"
+ fi
+ if use gtk2 ; then
+ _emake TARGET=gtk DESTDIR="${D}" install
+ elog "netsurf gtk2 version has been installed as netsurf-gtk"
+ make_desktop_entry "${EPREFIX}"/usr/bin/netsurf-gtk NetSurf-gtk netsurf "Network;WebBrowser"
+ fi
+ if use gtk ; then
+ _emake TARGET=gtk3 DESTDIR="${D}" install
+ elog "netsurf gtk3 version has been installed as netsurf-gtk3"
+ make_desktop_entry "${EPREFIX}"/usr/bin/netsurf-gtk3 NetSurf-gtk3 netsurf "Network;WebBrowser"
+ fi
+
+ insinto /usr/share/pixmaps
+ doins frontends/gtk/res/netsurf.xpm
+}